## org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.caseexpr
Class CaseSearchTable.CaseSearchTableCellModifier

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.expressionbuilder.caseexpr.CaseSearchTable.CaseSearchTableCellModifier

All Implemented Interfaces:
  org.eclipse.jface.viewers.ICellModifier

Enclosing class:
  CaseSearchTable

    public class CaseSearchTable.CaseSearchTableCellModifier

extends java.lang.Object
implements org.eclipse.jface.viewers.ICellModifier

Constructor Summary
`CaseSearchTable.CaseSearchTableCellModifier(CaseSearchTable viewer)`

Method Summary
`boolean` `canModify(java.lang.Object element, java.lang.String property)`
`java.lang.Object` `getValue(java.lang.Object element, java.lang.String property)`
`void` `modify(java.lang.Object element, java.lang.String property, java.lang.Object value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CaseSearchTable.CaseSearchTableCellModifier

    public CaseSearchTable.CaseSearchTableCellModifier(CaseSearchTable viewer)

Method Detail

### canModify

    public boolean canModify(java.lang.Object element,
                             java.lang.String property)

  Specified by:
    `canModify` in interface `org.eclipse.jface.viewers.ICellModifier`

### getValue

    public java.lang.Object getValue(java.lang.Object element,
                                     java.lang.String property)

  Specified by:
    `getValue` in interface `org.eclipse.jface.viewers.ICellModifier`

### modify

    public void modify(java.lang.Object element,
                       java.lang.String property,
                       java.lang.Object value)

  Specified by:
    `modify` in interface `org.eclipse.jface.viewers.ICellModifier`